package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class MoonFishEntity extends FishEntity
{
	public static final String ID = "MoonFish";
	
	public static final int PRIMARY_EGG_COLOUR = 0xA2BCE5;
	public static final int SECONDARY_EGG_COLOUR = 0xFF6A00;
	
	public MoonFishEntity(World world)
	{
		super(world, Species.MoonFish, 0.1, new FishScaleItem[]{ModItemRegistry.SilverFishScale, ModItemRegistry.OrangeFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new ClownFishEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedMoonFish;
	}
}
