package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.CapturedFishItem;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class YellowTangEntity extends FishEntity
{
	public static final String ID = "YellowTang";
	
	public static final int PRIMARY_EGG_COLOUR = 0xF2FF00;
	public static final int SECONDARY_EGG_COLOUR = 0xC3FF00;
	
	public YellowTangEntity(World world)
	{
		super(world, Species.YellowTang, 0.12, new FishScaleItem[]{ModItemRegistry.YellowFishScale, ModItemRegistry.WhiteFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new YellowTangEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedYellowTang;
	}
}
