package org.colinvella.fancyfish.item;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.item.combat.ModItemArmor;
import org.colinvella.fancyfish.item.combat.ModItemSword;
import org.colinvella.fancyfish.item.tool.ModItemAxe;
import org.colinvella.fancyfish.item.tool.ModItemHoe;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.ItemModelMesher;
import net.minecraft.client.renderer.entity.RenderItem;
import net.minecraft.client.resources.model.ModelResourceLocation;
import net.minecraft.item.Item;

public class ModItemRendererRegistry
{    
	// registers the item renderers 
	public static void registerItemRenderers()
	{
        logger = FancyFishMod.getLogger();
		logger.info("Registering item renderers...");
		
    	RenderItem renderItem = Minecraft.getMinecraft().getRenderItem();
    	ItemModelMesher itemModelMesher = renderItem.getItemModelMesher();    	
    	String locationPrefix = FancyFishMod.MOD_ID + ":";

    	// items
    	for(ModItem modItem : ModItemRegistry.getModItems())
		{
    		registerItemRenderer(renderItem, itemModelMesher, locationPrefix, modItem.getId(), modItem);
		}

    	// axe items
    	for(ModItemAxe modItemAxe : ModItemRegistry.getModItemAxes())
		{
    		registerItemRenderer(renderItem, itemModelMesher, locationPrefix, modItemAxe.getId(), modItemAxe);
		}

    	// hoe items
    	for(ModItemHoe modItemHoe : ModItemRegistry.getModItemHoes())
		{
    		registerItemRenderer(renderItem, itemModelMesher, locationPrefix, modItemHoe.getId(), modItemHoe);
		}

    	// armour items
    	for(ModItemArmor modItemArmor : ModItemRegistry.getModItemArmors())
		{
    		registerItemRenderer(renderItem, itemModelMesher, locationPrefix, modItemArmor.getId(), modItemArmor);
		}

    	// sword items
    	for(ModItemSword modItemSword : ModItemRegistry.getModItemSwords())
		{
    		registerItemRenderer(renderItem, itemModelMesher, locationPrefix, modItemSword.getId(), modItemSword);
		}
	}
    
	// defines item renderer for a given item
	private static void registerItemRenderer(
		RenderItem renderItem, ItemModelMesher itemModelMesher, String locationPrefix, String itemId, Item item)
	{
		logger.info("Registering item renderer for " + itemId + "...");
		itemModelMesher.register(item, 0, new ModelResourceLocation(locationPrefix + itemId, "inventory"));	
	}
	
    private static ModLogger logger;
}

