package org.colinvella.fancyfish.proxy;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.achievement.ModAchievements;
import org.colinvella.fancyfish.block.ModBlockItemRendererRegistry;
import org.colinvella.fancyfish.block.ModBlockRegistry;
import org.colinvella.fancyfish.configuration.ModConfiguration;
import org.colinvella.fancyfish.entity.ModEntityRegistry;
import org.colinvella.fancyfish.entity.ModEntityRendererRegistry;
import org.colinvella.fancyfish.event.ModEventRegistry;
import org.colinvella.fancyfish.gui.ModGuiRegistry;
import org.colinvella.fancyfish.item.ModItemRegistry;
import org.colinvella.fancyfish.item.ModItemRendererRegistry;
import org.colinvella.fancyfish.logger.ModLogger;
import org.colinvella.fancyfish.recipe.ModRecipeRegistry;
import org.colinvella.fancyfish.tileentity.ModTileEntityRegistry;
import org.colinvella.fancyfish.tileentity.ModTileEntityRendererRegistry;
import org.colinvella.fancyfish.world.gen.feature.ModWorldGenerator;
import org.colinvella.fancyfish.world.gen.feature.ModWorldGeneratorRegistry;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPostInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;
import net.minecraftforge.fml.relauncher.Side;

public class ClientProxy
extends BaseProxy {
    private ModLogger logger;

    @Mod.EventHandler
    @Override
    public void preInit(FMLPreInitializationEvent event)
    {
        this.logger = FancyFishMod.getLogger();
        this.logger.info("ClientProxy:preInit(...)");
        
        this.logger.info("Debug Logging: " + (ModConfiguration.getDebugLogging() ? "Enabled" : "Disabled"));
        this.logger.debug("Config File: " + event.getSuggestedConfigurationFile().getPath());
        Side side = event.getSide();
        this.logger.info("Game Mode: " + side);
        
        ModTileEntityRegistry.registerTileEntities();
        ModBlockRegistry.registerBlocks();
        ModItemRegistry.registerItems();
        ModEntityRegistry.registerEntities();
        ModAchievements.registerAchievements();
        ModEventRegistry.registerEventHandlers();
    }

    @Mod.EventHandler
    @Override
    public void init(FMLInitializationEvent event)
    {
        this.logger.info("ClientProxy:init(...)");

        ModRecipeRegistry.registerRecipes();
        
    	ModWorldGeneratorRegistry.registerWorldGenerators();
        
        ModGuiRegistry.registerGuiHandler();

        ModTileEntityRendererRegistry.registerTileEntityRenderers();
        ModBlockItemRendererRegistry.registerBlockItemRenderers();
        ModItemRendererRegistry.registerItemRenderers();
        ModEntityRendererRegistry.registerEntityRenderers();
    }

    @Mod.EventHandler
    @Override
    public void postInit(FMLPostInitializationEvent event)
    {
        this.logger.info("ClientProxy:postInit(...)");
    }
}

